Bug 7871 - Портится описание пакетов
: Портится описание пакетов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/synaptic)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-05 13:28 by
Modified: 2011-05-17 15:17 (History)


Attachments
Кракозябры в описании на русском (cp1251) (105.93 KB, image/png)
2010-11-02 23:16, Lenar Shakirov
no flags Details
Кракозябры в описании на русском (utf8) (127.58 KB, image/png)
2010-11-02 23:22, Lenar Shakirov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-05 13:28:58
Если водить мышкой по списку пакетов (особено над названием?), то 
концы строк с описанием пакета в списке иногда выводятся как-будто 
в восьмибитной локали.
------- Comment #1 From 2005-09-06 10:37:03 -------
И у меня тоже. И не только если мышкой водить но и при скроллинге, и не то
концы
строк , но и полностью описания в таблице часто выглядят как случайный набор
символов.
------- Comment #2 From 2005-10-20 09:50:05 -------
у меня это гарантироавано воспроизводится на описаниях пакетов на русском языке
------- Comment #3 From 2005-10-20 13:32:38 -------
А в какой локали это проявляется?
Мне кажется, я тоже как-то замечал подобное, но в ru_RU.UTF-8 воспроизвести не могу.

Кстати, в UTF-8 пропал еще один баг - во время установки/обновления/удаления
пакетов в терминальном окне нет мусора (там, где апт пишет "Совершаем изменения"
и в самом конце). Тот баг уходил конями куда-то в libvte. Возможно, и этот баг
тоже где-нить в недрах gtk спрятался...
------- Comment #4 From 2005-10-20 13:41:07 -------
koi8-r, cp1251 -- воспроизводится в обоих с равным успехом
------- Comment #5 From 2010-11-02 23:16:20 -------
Created an attachment (id=4643) [details]
Кракозябры в описании на русском (cp1251)

Проблема воспроизводится:
На скриншоте описание у пакетов airsnort и ALDConvert "испорчено"
synaptic-0.57.2-alt2.7 (p5)
Локаль юзера utf8, но запускал так: LANG=ru_RU.cp1251 synaptic
------- Comment #6 From 2010-11-02 23:22:54 -------
Created an attachment (id=4644) [details]
Кракозябры в описании на русском (utf8)

Если запускать synaptic с локалью utf8, то проблема с русскими переводами не
проявляется, но к описанию некоторых пакетов добавляются лишние символы:
пакет ale (в конце описания лишняя "H" заменила "e") и algencan (в конце лишняя
"P")
------- Comment #7 From 2010-11-02 23:32:18 -------
Это может быть разрубание многобайтного символа на байты.
------- Comment #8 From 2011-05-17 15:17:11 -------
synaptic-0.58-alt3 -> sisyphus:

* Tue May 17 2011 Lenar Shakirov <snejok@altlinux> 0.58-alt3
- Thanks to repocop for the patches:
  * versioned Requires removed
  * add --with-gnome option to find_lang

* Thu Feb 24 2011 Lenar Shakirov <snejok@altlinux> 0.58-alt2
- Russian localization updated
- (ALT #15002, #12946, #6224, #17499)

* Mon Feb 07 2011 Lenar Shakirov <snejok@altlinux> 0.58-alt1
- 0.58 (closes: 7871)
- synaptic-0.58-alt-build-fix.patch added
- Spec converted to utf8
- Supported icon's packaging fixed